pre code.hljs {
    display: block;
    overflow-x: auto;
    padding: 0.5em 1em;
    border-radius: 4px;
}

code.hljs {
    padding: 3px 5px;
}

/*!
        Theme: GitHub
        Description: Light theme as seen on github.com
        Author: github.com
        Maintainer: @Hirse
        Updated: 2021-05-15
      
        Outdated base version: https://github.com/primer/github-syntax-light
        Current colors taken from GitHub's CSS
      */
.hljs {
    color: #24292e;
    background: var(--some-text-background-color);
}

.hljs-doctag,
.hljs-keyword,
.hljs-meta .hljs-keyword,
.hljs-template-tag,
.hljs-template-variable,
.hljs-type,
.hljs-variable.language_ {
    /* prettylights-syntax-keyword */
    color: #d73a49
}

.hljs-title,
.hljs-title.class_,
.hljs-title.class_.inherited__,
.hljs-title.function_ {
    /* prettylights-syntax-entity */
    color: #6f42c1
}

.hljs-attr,
.hljs-attribute,
.hljs-literal,
.hljs-meta,
.hljs-number,
.hljs-operator,
.hljs-variable,
.hljs-selector-attr,
.hljs-selector-class,
.hljs-selector-id {
    /* prettylights-syntax-constant */
    color: #005cc5
}

.hljs-regexp,
.hljs-string,
.hljs-meta .hljs-string {
    /* prettylights-syntax-string */
    color: #032f62
}

.hljs-built_in,
.hljs-symbol {
    /* prettylights-syntax-variable */
    color: #a04305
}

.hljs-comment,
.hljs-code,
.hljs-formula {
    /* prettylights-syntax-comment */
    color: #6a737d
}

.hljs-name,
.hljs-quote,
.hljs-selector-tag,
.hljs-selector-pseudo {
    /* prettylights-syntax-entity-tag */
    color: #22863a
}

.hljs-subst {
    /* prettylights-syntax-storage-modifier-import */
    color: #24292e
}

.hljs-section {
    /* prettylights-syntax-markup-heading */
    color: #005cc5;
    font-weight: bold
}

.hljs-bullet {
    /* prettylights-syntax-markup-list */
    color: #735c0f
}

.hljs-emphasis {
    /* prettylights-syntax-markup-italic */
    color: #24292e;
    font-style: italic
}

.hljs-strong {
    /* prettylights-syntax-markup-bold */
    color: #24292e;
    font-weight: bold
}

.hljs-addition {
    /* prettylights-syntax-markup-inserted */
    color: #22863a;
    background-color: #f0fff4
}

.hljs-deletion {
    /* prettylights-syntax-markup-deleted */
    color: #b31d28;
    background-color: #ffeef0
}

[data-theme="dark"] .hljs {
    color: #ffffff;
    background: var(--some-text-background-color);
}

[data-theme="dark"] .hljs-doctag,
.hljs-keyword,
.hljs-meta .hljs-keyword,
.hljs-template-tag,
.hljs-template-variable,
.hljs-type,
.hljs-variable.language_ {
    /* prettylights-syntax-keyword */
    color: #ff7b72
}

[data-theme="dark"] .hljs-title,
.hljs-title.class_,
.hljs-title.class_.inherited__,
.hljs-title.function_ {
    /* prettylights-syntax-entity */
    color: #d2a8ff
}

[data-theme="dark"] .hljs-attr,
.hljs-attribute,
.hljs-literal,
.hljs-meta,
.hljs-number,
.hljs-operator,
.hljs-variable,
.hljs-selector-attr,
.hljs-selector-class,
.hljs-selector-id {
    /* prettylights-syntax-constant */
    color: #79c0ff
}

[data-theme="dark"] .hljs-regexp,
.hljs-string,
.hljs-meta .hljs-string {
    /* prettylights-syntax-string */
    color: #a5d6ff
}

[data-theme="dark"] .hljs-built_in,
.hljs-symbol {
    /* prettylights-syntax-variable */
    color: #ffa657
}

[data-theme="dark"] .hljs-comment,
.hljs-code,
.hljs-formula {
    /* prettylights-syntax-comment */
    color: #8b949e
}

[data-theme="dark"] .hljs-name,
.hljs-quote,
.hljs-selector-tag,
.hljs-selector-pseudo {
    /* prettylights-syntax-entity-tag */
    color: #7ee787
}

[data-theme="dark"] .hljs-subst {
    /* prettylights-syntax-storage-modifier-import */
    color: #c9d1d9
}

[data-theme="dark"] .hljs-section {
    /* prettylights-syntax-markup-heading */
    color: #1f6feb;
    font-weight: bold
}

[data-theme="dark"] .hljs-bullet {
    /* prettylights-syntax-markup-list */
    color: #f2cc60
}

[data-theme="dark"] .hljs-emphasis {
    /* prettylights-syntax-markup-italic */
    color: #c9d1d9;
    font-style: italic
}

[data-theme="dark"] .hljs-strong {
    /* prettylights-syntax-markup-bold */
    color: #c9d1d9;
    font-weight: bold
}

[data-theme="dark"] .hljs-addition {
    /* prettylights-syntax-markup-inserted */
    color: #aff5b4;
    background-color: #033a16
}

[data-theme="dark"] .hljs-deletion {
    /* prettylights-syntax-markup-deleted */
    color: #ffdcd7;
    background-color: #67060c
}